--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.Menu_ajuda) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.77, 0.32, 0.02, "John Deere 6300---FBT Modding");
	 else
		renderText(0.77, 0.32, 0.02, "FBT Modding");
		renderText(0.72, 0.81, 0.025, "John Deere 6300--PloughingSpec ");			
		renderText(0.72, 0.78, 0.02, "Tecla F Luz normal e auxiliares");
		renderText(0.72, 0.76, 0.02, "Tecla Page Up aumentar Velocidade");
		renderText(0.72, 0.74, 0.02, "Tecla Page Down Diminuir Velocidade");
		renderText(0.72, 0.72, 0.02, "Tecla Home Aumentar RPM");
		renderText(0.72, 0.70, 0.02, "Tecla End Diminuir RPM")
		renderText(0.72, 0.68, 0.02, "Tecla J mostrar/ocultar Menu de ajuda")
		renderText(0.72, 0.66, 0.02, "Teclado Numerico 7 Colocar/retira Duplagem")
		renderText(0.72, 0.64, 0.02, "Teclado Numerico 8 Colocar/retirar Pesos");
		renderText(0.72, 0.62, 0.02, "Teclado Numerico 9 Colocar/Retirar Pesos(Rodas)");
		renderText(0.72, 0.60, 0.02, "Tecla T Aumentar RPMs");
		renderText(0.72, 0.58, 0.02, "Creditos:FBT Modding");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




